searchData={"items":[{"type":"module","title":"Modbuzz","doc":"`Modbuzz` is yet another MODBUS library, supporting both TCP and RTU.","ref":"Modbuzz.html"},{"type":"function","title":"Modbuzz.create_unit/2","doc":"Create a unit under the data server.","ref":"Modbuzz.html#create_unit/2"},{"type":"function","title":"Modbuzz.delete/3","doc":"Delete request response pair from data server.","ref":"Modbuzz.html#delete/3"},{"type":"function","title":"Modbuzz.dump/2","doc":"Dump data from data server.","ref":"Modbuzz.html#dump/2"},{"type":"function","title":"Modbuzz.request/4","doc":"Request data.","ref":"Modbuzz.html#request/4"},{"type":"function","title":"Modbuzz.start_data_server/1","doc":"Start data server.","ref":"Modbuzz.html#start_data_server/1"},{"type":"function","title":"Examples - Modbuzz.start_data_server/1","doc":"iex> :ok = Modbuzz.start_data_server(:data_server)\n    iex> alias Modbuzz.PDU.WriteSingleCoil\n    iex> req = %WriteSingleCoil.Req{output_address: 0 , output_value: true}\n    iex> res = %WriteSingleCoil.Res{output_address: 0 , output_value: true}\n    iex> :ok = Modbuzz.create_unit(:data_server, 1)\n    iex> :ok = Modbuzz.upsert(:data_server, 1, req, res)\n    iex> {:ok, ^res} = Modbuzz.request(:data_server, 1, req)","ref":"Modbuzz.html#start_data_server/1-examples"},{"type":"function","title":"Modbuzz.start_rtu_client/3","doc":"Start RTU client.\n\nThis function accepts `transport_opts` as its third argument which allows to pass options to `Circuits.UART`.\nOptions provided in `transport_opts` are passed directly to `Circuits.UART` without modification.","ref":"Modbuzz.html#start_rtu_client/3"},{"type":"function","title":"Examples - Modbuzz.start_rtu_client/3","doc":"iex> :ok = Modbuzz.start_rtu_client(:client, \"ttyUSB0\", [speed: 9600])\n    iex> alias Modbuzz.PDU.WriteSingleCoil\n    iex> req = %WriteSingleCoil.Req{output_address: 0 , output_value: true}\n    iex> {:error, %WriteSingleCoil.Err{}} = Modbuzz.request(:client, req)","ref":"Modbuzz.html#start_rtu_client/3-examples"},{"type":"function","title":"Modbuzz.start_rtu_server/4","doc":"Start RTU server.\n\nThis function accepts `transport_opts` as its third argument which allows to pass options to `Circuits.UART`.\nOptions provided in `transport_opts` are passed directly to `Circuits.UART` without modification.","ref":"Modbuzz.html#start_rtu_server/4"},{"type":"function","title":"Examples - Modbuzz.start_rtu_server/4","doc":"iex> :ok = Modbuzz.start_data_server(:data_server)\n    iex> alias Modbuzz.PDU.WriteSingleCoil\n    iex> req = %WriteSingleCoil.Req{output_address: 0 , output_value: true}\n    iex> res = %WriteSingleCoil.Res{output_address: 0 , output_value: true}\n    iex> :ok = Modbuzz.create_unit(:data_server, 1)\n    iex> :ok = Modbuzz.upsert(:data_server, 1, req, res)\n    iex> :ok = Modbuzz.start_rtu_server(:server, \"ttyUSB0\", [speed: 9600], :data_server)","ref":"Modbuzz.html#start_rtu_server/4-examples"},{"type":"function","title":"Modbuzz.start_tcp_client/3","doc":"Start TCP client.","ref":"Modbuzz.html#start_tcp_client/3"},{"type":"function","title":"Examples - Modbuzz.start_tcp_client/3","doc":"iex> :ok = Modbuzz.start_tcp_client(:client, {127, 0, 0, 1}, 50200)\n    iex> alias Modbuzz.PDU.WriteSingleCoil\n    iex> req = %WriteSingleCoil.Req{output_address: 0 , output_value: true}\n    iex> {:error, %WriteSingleCoil.Err{}} = Modbuzz.request(:client, req)","ref":"Modbuzz.html#start_tcp_client/3-examples"},{"type":"function","title":"Modbuzz.start_tcp_server/4","doc":"Start TCP server.","ref":"Modbuzz.html#start_tcp_server/4"},{"type":"function","title":"Examples - Modbuzz.start_tcp_server/4","doc":"iex> :ok = Modbuzz.start_data_server(:data_server)\n    iex> alias Modbuzz.PDU.WriteSingleCoil\n    iex> req = %WriteSingleCoil.Req{output_address: 0 , output_value: true}\n    iex> res = %WriteSingleCoil.Res{output_address: 0 , output_value: true}\n    iex> :ok = Modbuzz.create_unit(:data_server, 1)\n    iex> :ok = Modbuzz.upsert(:data_server, 1, req, res)\n    iex> :ok = Modbuzz.start_tcp_server(:server, {127, 0, 0, 1}, 50200, :data_server)","ref":"Modbuzz.html#start_tcp_server/4-examples"},{"type":"function","title":"Modbuzz.upsert/4","doc":"Upsert request response/callback pair to data server.\n\nWhen using a callback, the user is responsible for the callback.\nThis library does not handle its error. In case of an error, the request will simply time out with noreply.","ref":"Modbuzz.html#upsert/4"},{"type":"type","title":"Modbuzz.callback/0","doc":"","ref":"Modbuzz.html#t:callback/0"},{"type":"type","title":"Modbuzz.client/0","doc":"","ref":"Modbuzz.html#t:client/0"},{"type":"type","title":"Modbuzz.data_server/0","doc":"","ref":"Modbuzz.html#t:data_server/0"},{"type":"type","title":"Modbuzz.error/0","doc":"","ref":"Modbuzz.html#t:error/0"},{"type":"type","title":"Modbuzz.request/0","doc":"","ref":"Modbuzz.html#t:request/0"},{"type":"type","title":"Modbuzz.response/0","doc":"","ref":"Modbuzz.html#t:response/0"},{"type":"type","title":"Modbuzz.server/0","doc":"","ref":"Modbuzz.html#t:server/0"},{"type":"type","title":"Modbuzz.unit_id/0","doc":"","ref":"Modbuzz.html#t:unit_id/0"},{"type":"protocol","title":"Modbuzz.PDU.Protocol","doc":"Protocol for `MODBUS PDU`\n\nWe defined Req/Res/Err structs for each `MODBUS function`.\nEach struct implements this protocol.","ref":"Modbuzz.PDU.Protocol.html"},{"type":"type","title":"Modbuzz.PDU.Protocol.t/0","doc":"All the types that implement this protocol.","ref":"Modbuzz.PDU.Protocol.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.Diagnostics.Err","doc":"Err struct for Diagnostics.","ref":"Modbuzz.PDU.Diagnostics.Err.html"},{"type":"type","title":"Modbuzz.PDU.Diagnostics.Err.t/0","doc":"","ref":"Modbuzz.PDU.Diagnostics.Err.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.Diagnostics.Req","doc":"Req struct for Diagnostics.","ref":"Modbuzz.PDU.Diagnostics.Req.html"},{"type":"type","title":"Modbuzz.PDU.Diagnostics.Req.t/0","doc":"","ref":"Modbuzz.PDU.Diagnostics.Req.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.Diagnostics.Res","doc":"Res struct for Diagnostics.","ref":"Modbuzz.PDU.Diagnostics.Res.html"},{"type":"type","title":"Modbuzz.PDU.Diagnostics.Res.t/0","doc":"","ref":"Modbuzz.PDU.Diagnostics.Res.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.ReadCoils.Err","doc":"Err struct for ReadCoils.","ref":"Modbuzz.PDU.ReadCoils.Err.html"},{"type":"type","title":"Modbuzz.PDU.ReadCoils.Err.t/0","doc":"","ref":"Modbuzz.PDU.ReadCoils.Err.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.ReadCoils.Req","doc":"Req struct for ReadCoils.","ref":"Modbuzz.PDU.ReadCoils.Req.html"},{"type":"type","title":"Modbuzz.PDU.ReadCoils.Req.t/0","doc":"","ref":"Modbuzz.PDU.ReadCoils.Req.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.ReadCoils.Res","doc":"Res struct for ReadCoils.\n\n`byte_count` is automatically calculated during encoding.","ref":"Modbuzz.PDU.ReadCoils.Res.html"},{"type":"type","title":"Modbuzz.PDU.ReadCoils.Res.t/0","doc":"","ref":"Modbuzz.PDU.ReadCoils.Res.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.ReadDiscreteInputs.Err","doc":"Err struct for ReadDiscreteInputs.","ref":"Modbuzz.PDU.ReadDiscreteInputs.Err.html"},{"type":"type","title":"Modbuzz.PDU.ReadDiscreteInputs.Err.t/0","doc":"","ref":"Modbuzz.PDU.ReadDiscreteInputs.Err.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.ReadDiscreteInputs.Req","doc":"Req struct for ReadDiscreteInputs.","ref":"Modbuzz.PDU.ReadDiscreteInputs.Req.html"},{"type":"type","title":"Modbuzz.PDU.ReadDiscreteInputs.Req.t/0","doc":"","ref":"Modbuzz.PDU.ReadDiscreteInputs.Req.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.ReadDiscreteInputs.Res","doc":"Res struct for ReadDiscreteInputs.\n\n`byte_count` is automatically calculated during encoding.","ref":"Modbuzz.PDU.ReadDiscreteInputs.Res.html"},{"type":"type","title":"Modbuzz.PDU.ReadDiscreteInputs.Res.t/0","doc":"","ref":"Modbuzz.PDU.ReadDiscreteInputs.Res.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.ReadHoldingRegisters.Err","doc":"Err struct for ReadHoldingRegisters.","ref":"Modbuzz.PDU.ReadHoldingRegisters.Err.html"},{"type":"type","title":"Modbuzz.PDU.ReadHoldingRegisters.Err.t/0","doc":"","ref":"Modbuzz.PDU.ReadHoldingRegisters.Err.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.ReadHoldingRegisters.Req","doc":"Req struct for ReadHoldingRegisters.","ref":"Modbuzz.PDU.ReadHoldingRegisters.Req.html"},{"type":"type","title":"Modbuzz.PDU.ReadHoldingRegisters.Req.t/0","doc":"","ref":"Modbuzz.PDU.ReadHoldingRegisters.Req.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.ReadHoldingRegisters.Res","doc":"Res struct for ReadHoldingRegisters.\n\n`byte_count` is automatically calculated during encoding.","ref":"Modbuzz.PDU.ReadHoldingRegisters.Res.html"},{"type":"type","title":"Modbuzz.PDU.ReadHoldingRegisters.Res.t/0","doc":"","ref":"Modbuzz.PDU.ReadHoldingRegisters.Res.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.ReadInputRegisters.Err","doc":"Err struct for ReadInputRegisters.","ref":"Modbuzz.PDU.ReadInputRegisters.Err.html"},{"type":"type","title":"Modbuzz.PDU.ReadInputRegisters.Err.t/0","doc":"","ref":"Modbuzz.PDU.ReadInputRegisters.Err.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.ReadInputRegisters.Req","doc":"Req struct for ReadInputRegisters.","ref":"Modbuzz.PDU.ReadInputRegisters.Req.html"},{"type":"type","title":"Modbuzz.PDU.ReadInputRegisters.Req.t/0","doc":"","ref":"Modbuzz.PDU.ReadInputRegisters.Req.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.ReadInputRegisters.Res","doc":"Res struct for ReadInputRegisters.\n\n`byte_count` is automatically calculated during encoding.","ref":"Modbuzz.PDU.ReadInputRegisters.Res.html"},{"type":"type","title":"Modbuzz.PDU.ReadInputRegisters.Res.t/0","doc":"","ref":"Modbuzz.PDU.ReadInputRegisters.Res.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.WriteMultipleCoils.Err","doc":"Err struct for WriteMultipleCoils.","ref":"Modbuzz.PDU.WriteMultipleCoils.Err.html"},{"type":"type","title":"Modbuzz.PDU.WriteMultipleCoils.Err.t/0","doc":"","ref":"Modbuzz.PDU.WriteMultipleCoils.Err.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.WriteMultipleCoils.Req","doc":"Modbuzz.PDU.Helper.module_one_line_doc(__MODULE__)\n\n`byte_count` and `quantity_of_outputs` are automatically calculated during encoding.","ref":"Modbuzz.PDU.WriteMultipleCoils.Req.html"},{"type":"type","title":"Modbuzz.PDU.WriteMultipleCoils.Req.t/0","doc":"","ref":"Modbuzz.PDU.WriteMultipleCoils.Req.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.WriteMultipleCoils.Res","doc":"Res struct for WriteMultipleCoils.","ref":"Modbuzz.PDU.WriteMultipleCoils.Res.html"},{"type":"type","title":"Modbuzz.PDU.WriteMultipleCoils.Res.t/0","doc":"","ref":"Modbuzz.PDU.WriteMultipleCoils.Res.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.WriteMultipleRegisters.Err","doc":"Err struct for WriteMultipleRegisters.","ref":"Modbuzz.PDU.WriteMultipleRegisters.Err.html"},{"type":"type","title":"Modbuzz.PDU.WriteMultipleRegisters.Err.t/0","doc":"","ref":"Modbuzz.PDU.WriteMultipleRegisters.Err.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.WriteMultipleRegisters.Req","doc":"Modbuzz.PDU.Helper.module_one_line_doc(__MODULE__)\n\n`byte_count` and `quantity_of_registers` are automatically calculated during encoding.","ref":"Modbuzz.PDU.WriteMultipleRegisters.Req.html"},{"type":"type","title":"Modbuzz.PDU.WriteMultipleRegisters.Req.t/0","doc":"","ref":"Modbuzz.PDU.WriteMultipleRegisters.Req.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.WriteMultipleRegisters.Res","doc":"Res struct for WriteMultipleRegisters.","ref":"Modbuzz.PDU.WriteMultipleRegisters.Res.html"},{"type":"type","title":"Modbuzz.PDU.WriteMultipleRegisters.Res.t/0","doc":"","ref":"Modbuzz.PDU.WriteMultipleRegisters.Res.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.WriteSingleCoil.Err","doc":"Err struct for WriteSingleCoil.","ref":"Modbuzz.PDU.WriteSingleCoil.Err.html"},{"type":"type","title":"Modbuzz.PDU.WriteSingleCoil.Err.t/0","doc":"","ref":"Modbuzz.PDU.WriteSingleCoil.Err.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.WriteSingleCoil.Req","doc":"Req struct for WriteSingleCoil.","ref":"Modbuzz.PDU.WriteSingleCoil.Req.html"},{"type":"type","title":"Modbuzz.PDU.WriteSingleCoil.Req.t/0","doc":"","ref":"Modbuzz.PDU.WriteSingleCoil.Req.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.WriteSingleCoil.Res","doc":"Res struct for WriteSingleCoil.","ref":"Modbuzz.PDU.WriteSingleCoil.Res.html"},{"type":"type","title":"Modbuzz.PDU.WriteSingleCoil.Res.t/0","doc":"","ref":"Modbuzz.PDU.WriteSingleCoil.Res.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.WriteSingleRegister.Err","doc":"Err struct for WriteSingleRegister.","ref":"Modbuzz.PDU.WriteSingleRegister.Err.html"},{"type":"type","title":"Modbuzz.PDU.WriteSingleRegister.Err.t/0","doc":"","ref":"Modbuzz.PDU.WriteSingleRegister.Err.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.WriteSingleRegister.Req","doc":"Req struct for WriteSingleRegister.","ref":"Modbuzz.PDU.WriteSingleRegister.Req.html"},{"type":"type","title":"Modbuzz.PDU.WriteSingleRegister.Req.t/0","doc":"","ref":"Modbuzz.PDU.WriteSingleRegister.Req.html#t:t/0"},{"type":"module","title":"Modbuzz.PDU.WriteSingleRegister.Res","doc":"Res struct for WriteSingleRegister.","ref":"Modbuzz.PDU.WriteSingleRegister.Res.html"},{"type":"type","title":"Modbuzz.PDU.WriteSingleRegister.Res.t/0","doc":"","ref":"Modbuzz.PDU.WriteSingleRegister.Res.html#t:t/0"},{"type":"extras","title":"Modbuzz","doc":"# Modbuzz\n\n[![hex](https://img.shields.io/hexpm/v/modbuzz.svg)](https://hex.pm/packages/modbuzz)\n[![CI](https://github.com/tombo-works/modbuzz/actions/workflows/ci.yaml/badge.svg)](https://github.com/tombo-works/modbuzz/actions/workflows/ci.yaml)\n[![license](https://img.shields.io/hexpm/l/modbuzz.svg)](https://github.com/tombo-works/modbuzz/blob/main/REUSE.toml)\n[![REUSE](https://api.reuse.software/badge/github.com/tombo-works/modbuzz)](https://api.reuse.software/info/github.com/tombo-works/modbuzz)\n\nYet another MODBUS library, supporting both TCP and RTU, providing gateway functionality.","ref":"readme.html"},{"type":"extras","title":"Index - Modbuzz","doc":"- [Usage](#usage)\n  - [TCP client](#tcp-client)\n  - [RTU client](#rtu-client)\n  - [Data server](#data-server)\n  - [TCP server](#tcp-server)\n  - [RTU server](#rtu-server)\n  - [TCP/TCP gateway](#tcp-tcp-gateway)\n  - [TCP/RTU gateway](#tcp-rtu-gateway)\n  - [RTU/TCP gateway](#rtu-tcp-gateway)\n  - [RTU/RTU gateway](#rtu-rtu-gateway)\n- [Installation](#installation)\n- [License](#license)\n- [MODBUS References](#modbus-references)","ref":"readme.html#index"},{"type":"extras","title":"Usage - Modbuzz","doc":"","ref":"readme.html#usage"},{"type":"extras","title":"TCP client - Modbuzz","doc":"`Modbuzz.start_tcp_client/3` starts a TCP client instance.\n\n`Modbuzz.request/3` requests synchronously.  \nThe 2nd argument, `unit_id`, can be omitted. If omitted, its value defaults to 0.\n\n```elixir\n:ok = Modbuzz.start_tcp_client(:your_tcp_client, {192, 168, 0, 10}, 502)\nalias Modbuzz.PDU.WriteSingleCoil\nreq = %WriteSingleCoil.Req{output_address: 0 , output_value: true}\n{:ok, _res} = Modbuzz.request(:your_tcp_client, req)\n```","ref":"readme.html#tcp-client"},{"type":"extras","title":"RTU client - Modbuzz","doc":"`Modbuzz.start_rtu_client/3` starts a RTU client instance.\n\n`Modbuzz.request/3` requests synchronously.  \nThe 2nd argument, `unit_id`, can be omitted. If omitted, its value defaults to 0.\n\n```elixir\n:ok = Modbuzz.start_rtu_client(:your_rtu_client, \"ttyUSB0\", [speed: 9600])\nalias Modbuzz.PDU.WriteSingleCoil\nreq = %WriteSingleCoil.Req{output_address: 0 , output_value: true}\n{:ok, _res} = Modbuzz.request(:your_rtu_client, 1, req)\n```","ref":"readme.html#rtu-client"},{"type":"extras","title":"Data server - Modbuzz","doc":"`Modbuzz.start_data_server/1` starts a Data server instance.  \nData server can be used as data source of TCP/RTU server.\n\n```elixir\n:ok = Modbuzz.start_data_server(:your_data_server)\nalias Modbuzz.PDU.WriteSingleCoil\nreq = %WriteSingleCoil.Req{output_address: 0 , output_value: true}\nres = %WriteSingleCoil.Res{output_address: 0 , output_value: true}\n:ok = Modbuzz.create_unit(:your_data_server, 1)\n:ok = Modbuzz.upsert(:your_data_server, 1, req, res)\n```","ref":"readme.html#data-server"},{"type":"extras","title":"TCP server - Modbuzz","doc":"`Modbuzz.start_tcp_server/4` starts a TCP server instance.  \nThe 4th argument, `data_source`, can be [Data server](#data-server)\n/ [TCP client](#tcp-client) / [RTU client](#rtu-client).\n\n```elixir\n:ok = Modbuzz.start_tcp_server(:your_tcp_server, {192, 168, 1, 10}, 502, :your_data_source)\n```","ref":"readme.html#tcp-server"},{"type":"extras","title":"RTU server - Modbuzz","doc":"`Modbuzz.start_rtu_server/4` starts a RTU server instance.  \nThe 4th argument, `data_source`, can be [Data server](#data-server)\n/ [TCP client](#tcp-client) / [RTU client](#rtu-client).\n\n```elixir\n:ok = Modbuzz.start_tcp_server(:your_rtu_server, \"ttyUSB1\", [speed: 19200], :your_data_source)\n```","ref":"readme.html#rtu-server"},{"type":"extras","title":"TCP/RTU gateway - Modbuzz","doc":"TCP server receives a request and pass through it to RTU client.\n\n```elixir\n:ok = Modbuzz.start_rtu_client(:your_rtu_client, \"ttyUSB0\", [speed: 9600])\n:ok = Modbuzz.start_tcp_server(:your_tcp_server, {192, 168, 1, 10}, 502, :your_rtu_client)\n```","ref":"readme.html#tcp-rtu-gateway"},{"type":"extras","title":"RTU/TCP gateway - Modbuzz","doc":"RTU server receives a request and pass through it to TCP client.\n\n```elixir\n:ok = Modbuzz.start_tcp_client(:your_tcp_client, {192, 168, 0, 10}, 502)\n:ok = Modbuzz.start_rtu_server(:your_rtu_server, \"ttyUSB1\", [speed: 19200], :your_tcp_client)\n```","ref":"readme.html#rtu-tcp-gateway"},{"type":"extras","title":"TCP/TCP gateway - Modbuzz","doc":"TCP server receives a request and pass through it to TCP client.\n\n```elixir\n:ok = Modbuzz.start_tcp_client(:your_tcp_client, {192, 168, 0, 10}, 502)\n:ok = Modbuzz.start_tcp_server(:your_tcp_server, {192, 168, 1, 10}, 502, :your_tcp_client)\n```","ref":"readme.html#tcp-tcp-gateway"},{"type":"extras","title":"RTU/RTU gateway - Modbuzz","doc":"RTU server receives a request and pass through it to RTU client.\n\n```elixir\n:ok = Modbuzz.start_rtu_client(:your_rtu_client, \"ttyUSB0\", [speed: 9600])\n:ok = Modbuzz.start_rtu_server(:your_rtu_server, \"ttyUSB1\", [speed: 19200], :your_rtu_client)\n```","ref":"readme.html#rtu-rtu-gateway"},{"type":"extras","title":"Installation - Modbuzz","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `modbuzz` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:modbuzz, \"~> 0.2.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"},{"type":"extras","title":"MODBUS References - Modbuzz","doc":"- WEB: https://modbus.org/\n  - PDF: [MODBUS APPLICATION PROTOCOL SPECIFICATION V1.1b3](https://modbus.org/docs/Modbus_Application_Protocol_V1_1b3.pdf)\n  - PDF: [MODBUS MESSAGING ON TCP/IP IMPLEMENTATION GUIDE V1.0b](https://modbus.org/docs/Modbus_Messaging_Implementation_Guide_V1_0b.pdf)","ref":"readme.html#modbus-references"},{"type":"extras","title":"License - Modbuzz","doc":"This project is licensed under the Apache-2.0 license.\n\nAnd this project follows the REUSE compliance.\nFor more details, see the [REUSE SOFTWARE](https://reuse.software/).","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}